
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>利用Observer模式实现组件间通信 / iVAN</title>

    <meta name="description" content="利用Observer模式实现组件间通信 1.问题的提出 以前做一个界面的时候常常会遇到这样的尴尬情况:希望保留各个独立的组件(类),但又希望它们之间能够相互通信.譬如Windows中的Explorer,我们希望鼠标点击左边是树型目录的一个节点,右边的文件浏览能及时列出该节点目录下的文件和子目录,类似这样一个简单的应用,如果只有一个类继承JFrame,而树型组件和浏览文件的面板作为成员,就像: public class MainFrame extends JFrame { JPanel treePanel; JTree tree; JP">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">利用Observer模式实现组件间通信</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>1.问题的提出</p>
<p>以前做一个界面的时候常常会遇到这样的尴尬情况：希望保留各个独立的组件（类），但又希望它们之间能够相互通信。譬如Windows中的Explorer，我们希望鼠标点击左边是树型目录的一个节点，右边的文件浏览能及时列出该节点目录下的文件和子目录，类似这样一个简单的应用，如果只有一个类继承JFrame，而树型组件和浏览文件的面板作为成员，就像：</p>
<p><code>public　class　MainFrame　extends　JFrame<br />
{<br />
　　 JPanel　treePanel;<br />
　　 JTree　tree;<br />
　　 JPanel　filePanel;<br />
　　 ...<br />
}</code></p>
<p>这样当然容易在两者之间传递消息，但是可扩展性较差。通常容易想到的是两种办法：在一个组件里保留另一个组件类型的成员，初始化时作为参数传入引用，比如：</p>
<p><code>class　TreePanel　extends　JPanel<br />
{<br />
　　 JTree　tree;<br />
　　 ...<br />
}<br />
class　FilePanel　extends　JPanel<br />
{<br />
　　 public　FilePanel(JTree　tree){...}<br />
　　 ...<br />
}</code></p>
<p>或者将一个组件线程化，不停地监听另一个组件的变化，然后作出相应的反映，比如：</p>
<p><code>class　TreePanel　extends　JPanel<br />
{<br />
　　 JTree　tree;<br />
　　 ...<br />
}<br />
class　FilePanel　extends　JPanel　implements　Runnable<br />
{<br />
　　 public　void　run()<br />
　　 {<br />
　　　　 while　(true)<br />
　　　　 {<br />
　　　　　　 //监听tree的变化　<br />
　　　　 }<br />
　　　　 ...<br />
　　 }<br />
　　 ...<br />
}</code></p>
<p>这样确实可以达到我们的目的，但是第一种方案显然不利于松散耦合，第二种方案比较占用系统资源。通过学习设计模式，我们发现可以用Observer模式来解决这个问题。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 16:45:03</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e7%bb%84%e4%bb%b6/" title="组件">组件</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/jpanel/" title="jpanel">jpanel</a>, <a href="https://www.iamivan.net/tag/tree/" title="tree">tree</a>, <a href="https://www.iamivan.net/tag/extends/" title="extends">extends</a>, <a href="https://www.iamivan.net/tag/%e7%bb%84%e4%bb%b6%e9%80%9a%e4%bf%a1/" title="组件通信">组件通信</a>, <a href="https://www.iamivan.net/tag/%e7%bb%84%e4%bb%b6%e5%92%8c%e7%bb%84%e4%bb%b6%e9%80%9a%e4%bf%a1/" title="组件和组件通信">组件和组件通信</a>, <a href="https://www.iamivan.net/tag/%e7%bb%84%e4%bb%b6%e4%b9%8b%e9%97%b4%e9%80%9a%e4%bf%a1/" title="组件之间通信">组件之间通信</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>利用Observer模式实现组件间通信的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GY1gp.html" rel="bookmark">深入理解Android组件间通信机制对面向对象特性的影响详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				组件的特点对于Android的四大组件Activity, Service, ContentProvider和Service,不能有Setter和Getter,也不能给组件添加接口.原因是组件都是给系统框架调用的,开发者只能实现其规定的回调接口,组件的创建与销毁都是由系统框架控制的,开发者不能强行干预,更没有办法获取组件的对象.比如Activity,Service,BroadcastReceiver,你没有办法去创建一个Activity,Service或BroadcastReceiver,然后像使			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEmY8z.html" rel="bookmark">Android组件间通信利器EventBus详解教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述及基本概念 **EventBus**是一个Android端优化的publish/subscribe消息总线,简化了应用程序内各组件间.组件与后台线程间 的通信.比如请求网络,等网络返回时通过Handler或Broadcast通知UI,两个Fragment之间需要通过Listener通信,这些需求 都可以通过**EventBus**实现. 作为一个消息总线,有三个主要的元素:     Event:事件     Subscriber:事件订阅者,接收特定的事件     Publisher:事件发			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3oew0b.html" rel="bookmark">Android组件间通信--深入理解Intent与IntentFilter&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Understanding Intent and IntentFilter--理解Intent和IntentFilterIntent(意图)在Android中是一个十分重要的组件,它是连接不同应用的桥梁和纽带,也是让组件级复用(Activity和 Service)成为可能的一个重要原因.Intent的使用分为二个方面一个是发出Intent,另一个则是接收Intent用官方的说法就是Intent Resolving.本主将对Intent和IntentFilter进行一些介绍.Intent和Inte			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW7dEnM.html" rel="bookmark">使用Broadcast实现Android组件间的通信&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android组件之间的通信有多种实现方式,Broadcast就是其中一种.在activity和fragment之间的通信,broadcast用的更多本文以一个activity为例. 效果如图: 布局文件: &lt;LinearLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; xmlns:tools=&quot;http://schemas.android.com/tools&quot; android:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvYEDWb.html" rel="bookmark">Vue&period;js每天必学之组件与组件间的通信&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是组件? 组件(Component)是 Vue.js 最强大的功能之一.组件可以扩展 HTML 元素,封装可重用的代码.在较高层面上,组件是自定义元素,Vue.js 的编译器为它添加特殊功能.在有些情况下,组件也可以是原生 HTML 元素的形式,以 is 特性扩展. 使用组件 注册 之前说过,我们可以用 Vue.extend() 创建一个组件构造器: var MyComponent = Vue.extend({ // 选项... }) 要把这个构造器用作组件,需要用 `Vue.compone			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM9ll4b.html" rel="bookmark">Observer模式深度探索</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server [简介]微软顶级技术大师Jeffrey Richter的作品,一向是不容错过的.为了帮助开发者这篇专论Observer模式的文章也不例外.Observer模式是经典设计模式中应用最为广泛也最为灵活多变的模式之一.本文在.NET技术框架下深入发掘了Observer模式的内涵,值得细细品味. 虽然设计模式并不是万能丹,但确实是一个非常强大的工具,开发人员或架构师可使用它积极地参与任何项目.设计模式可确保通过熟知和公认的解决方案解决常见问题.模式存在的事实基础在于:大多数问题,可能已经有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZOvxob.html" rel="bookmark">在J2EE中实现Observer模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言: 设计模式是经验的文档化.它是对被用来在特定场景下解决一般设计问题的类和相互通信 的对象的描述.更通俗的来说,它是一个问题/解决方案对.一旦我们掌握了设计模式,就等 于拥有了一支强有力的专家队伍.它甚至能够使面向对象的新手利用前人的经验找出职责明 确的类和对象,从而获得优雅的解决方案.由于设计模式也是重构的目标,如果在设计的初 期适当地引入设计模式,可以减少重构的工作量. 但是,我们也不能陷入模式的陷阱,为了使用模式而去套模式,那样会陷入形式主义.我 们在使用模式的时候,一定要注意模式的意			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwWavmz.html" rel="bookmark">如何让你的传输更安全&mdash;&mdash;NIO模式和BIO模式实现SSL协议通信</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于SSL/TLS协议,如果要每个开发者都自己去实现显然会带来不必要的麻烦,正是为了解决这个问题Java为广大开发者提供了Java安全套接字扩展--JSSE,它包含了实现Internet安全通信的一系列包的集合,是SSL和TLS的纯Java实现,同时它是一个开放的标准,每个公司都可以自己实现JSSE,通过它可以透明地提供数据加密.服务器认证.信息完整性等功能,就像使用普通的套接字一样使用安全套接字,大大减轻了开发者的负担,使开发者可以很轻松将SSL协议整合到程序中,并且JSSE能将安全隐患降到了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDrQvM.html" rel="bookmark">详解利用 JDK6 动态编译组件搭建 OSGi 运行时编译环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				但是我们知道,在开发 OSGi 环境下的 Bundle 时最麻烦的步骤之一就是搭建编译环境.即便利用 Eclipse 这样高效的 开发工具,由于 Bundle 个数的庞大以及同一 Bundle 的版本多样性,维护一个编译环境变得非常繁琐.常常我们需要对一 个 OSGi 的 Bundle 进行二次开发时,仅仅一个很小的改动都需要花大量的时间去搭建专为这套程序的编译环境.我们迫切 希望可以有一个运行时的编译环境来简化这些步骤,利用环境既有的依赖项来对代码进行编译. 本篇文章介绍 OSGi 的运行特性			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBK6KM.html" rel="bookmark" class="title">DS18B20温度传感器测温显示在数码管上&lpar;29&period;9℃&rpar;</a>
					<div>
						#include&lt;reg52.h&gt; //包含头文件,一般情况不需要改动,头文件包含特殊功能寄存器的定义 #define uchar unsigned char #define uint u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRwYxp.html" rel="bookmark" class="title">java对象群体的组织：向量Vector</a>
					<div>
						向量的功能: 1.能存储任意对象 2.不能存储基本类型的数据,如39,除非将这些数据包裹在包裹类中 3.其容量可以按需求自动扩充 4.若果不用扩充容量,增加元素方法的效率较高 方式: Vector m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgVW6b.html" rel="bookmark" class="title">partysip框架优化计划</a>
					<div>
						Partysip优化计划 先说一下服务器构成,是使用开源的partysip项目,底层协议栈用的osip.修改了里面的注册服务器,在注册服务器上,连接mysql数据库.现在初步作了一些测试,但是感觉pa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7Q44M.html" rel="bookmark" class="title">创造更好的WEB表单&colon;良好的用户体验设计原则和范例</a>
					<div>
						文章描述:现在的WEB设计出现了许多新的设计趋势.最新的CSS3正在越来越多的被设计师们所采用,表单设计也不例外的需要设计师们投入更多的关注和思考. 设计师不再只是为互联网创造漂亮美观的图形那么简单了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zO5y9M.html" rel="bookmark" class="title">CSS基础学习：不同色链接和其下划线</a>
					<div>
						css|链接 &lt;style type=&quot;text/css&quot;&gt;a{ color:#333333; text-decoration:none;}a:visited {col ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7Ndrp.html" rel="bookmark" class="title">360的扩张就是百万站长的死期</a>
					<div>
						最近看到A5中也有人说360搜索有多么的好,简直把360快看成是他爹了,360给站长们带来了希望什么的字眼,以表达心中的喜悦之情,不过对我来说,我到不认为360他能给我带来多大的效益.反而让我看到他是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgNv1b.html" rel="bookmark" class="title">LigerUi中Grid控件如何让左侧第一列显示序号</a>
					<div>
						代码示例如下: var grid = $(&quot;#maingrid&quot;).ligerGrid({ columns: [ { display: &quot;序号&quot;, name:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62DNYM.html" rel="bookmark" class="title">Sql Server 创建存储过程</a>
					<div>
						  Transact-SQL中的存储过程,非常类似于Java语言中的方法,它可以重复调用.当存储过程执行一次后,可以将语句缓存中,这样下次执行的时候直接使用缓存中的语句.这样就可以提高存储过程的性能. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7vRVb.html" rel="bookmark" class="title">网站如何设计用户密码重设功能</a>
					<div>
						因为要做一个带有会员系统功能,本人需要设置的是用户注册如果忘记密码就需要重设置密码了,那么要如何设计密码重设功能?怎么做才合理呢,下面我们一起来看看. 用户流程: 1.用户忘记密码,来到密码重设界面  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnqgQz.html" rel="bookmark" class="title">excel表格添加斜线的方法</a>
					<div>
						  方法一:单元格右键菜单,选择设置单元格格式,然后点击边线选项,在左侧的绘对角线就可以了.这样添加出来的是斜线之对角线. 方法二:下面来学习一下Excel表格中添加斜线之多条斜线的制作方法. 1.单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yjgkz.html" rel="bookmark" class="title">在Excel2013中怎么创建数据透视表</a>
					<div>
						  1.打开excel2013,选中需要添加到数据透视表中的表格. 2.ctrl+c将表格复制,表格变为虚线.选择&quot;插入&quot;数据透视表按钮. 3.点击&quot;确认&quot;按钮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwnmjp.html" rel="bookmark" class="title">101&lowbar;《Delphi5程序员指南》</a>
					<div>
						&lt;Delphi5程序员指南&gt; Delphi 教程 系列书籍 (101) &lt;Delphi5程序员指南&gt; 网友(邦)整理 EMail: shuaihj@163.com 下载地址:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwnEvM.html" rel="bookmark" class="title">C&num;读取文件时，判断文件乱码问题</a>
					<div>
						问题描述 请问,通过StreamReaderobjReader=newStreamReader(file.ToString(),UnicodeEncoding.GetEncoding(&quot;ut ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWllOqp.html" rel="bookmark" class="title">阿里云视频技术专家柿蒂：视频AI in传媒九大业务场景解析</a>
					<div>
						近日,BIRTV 视觉人工智能峰会在北京国际饭店隆重举办.阿里云视频技术专家柿蒂受邀参加,围绕人工智能这一主题,在视觉计算与传媒领域的应用进行深度分享. 阿里云视频技术专家 柿蒂 人工智能在视频领域的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR0N2p.html" rel="bookmark" class="title">斐波那契数列-Fibonacci数列 的疑问（一增一减的迭代法）</a>
					<div>
						问题描述 Fibonacci数列 的疑问(一增一减的迭代法) 程序如下: int f = 0; int g = 1; for (int i = 0; i &lt;= 15; i++) { printl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm335b.html" rel="bookmark" class="title">MySQL常用时间函数详解&lpar;推荐&rpar;&lowbar;Mysql</a>
					<div>
						2.6 DATE_SUB/DATE_ADD DATE_SUB(date,INTERVAL expr type) date 参数是合法的日期表达式.expr 参数是您希望添加的时间间隔. SELECT  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR8B9b.html" rel="bookmark" class="title">cad 图导入su时总提示有程序在占用，然后给出两个选项是切换或者重试，这是为什么啊？</a>
					<div>
						问题描述 cad 图导入su时总提示有程序在占用,然后给出两个选项是切换或者重试,这是为什么啊? cad 图导入su时总提示有程序在占用,然后给出两个选项是切换或者重试,这是为什么啊?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwQRWM.html" rel="bookmark" class="title">文化修正未来</a>
					<div>
						还是在斯达舒推广的过程几次&quot;妙手&quot;均是这样.在我们的理解中,这也许就是企业管理的一种感觉,用修涞贵自己的话就是&quot;用修正的哲学来管理企业&quot; 文/本刊记者 苏庆华  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAaodb.html" rel="bookmark" class="title">针对XSS漏洞的前端防火墙：内联事件拦截</a>
					<div>
						关于XSS漏洞怎样形成.如何注入.能做什么.如何防范,前人已有无数的探讨,这里就不再累述了.本文介绍的则是另一种预防思路.几乎每篇谈论 XSS 的文章,结尾 多少都会提到如何 防止,然而大多万变不离其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xg2kb.html" rel="bookmark" class="title">诺基亚第一季度净营收152亿美元</a>
					<div>
						北京时间4月21日晚间消息,诺基亚今日发布了2011财年第一季度财报,净营收为103.99亿欧元(约合152.25美元),每股摊薄收益0.09欧元. 诺基亚第一季度净营收为103.99亿欧元,而去年同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnwDNM.html" rel="bookmark" class="title">【算法】7 分不清栈和队列？一张图给你完整体会</a>
					<div>
						栈和队列 学过没学过算法的应该都听过栈和队列了吧,往往容易弄混的就是&quot;后进先出&quot;和&quot;先进先出&quot;了. 今天又看到了&quot;河内塔&quot;的相关资料,也被称 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkYm9M.html" rel="bookmark" class="title">java动态代理&lpar;jdk与cglib&rpar;详细解析&lowbar;java</a>
					<div>
						JAVA的动态代理 代理模式 代理模式是常用的java设计模式,他的特征是代理类与委托类有同样的接口,代理类主要负责为委托类预处理消息.过滤消息.把消息转发给委托类,以及事后处理消息等.代理类与委托类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYOrLb.html" rel="bookmark" class="title">Java实现FTP批量大文件上传下载篇1&lowbar;java</a>
					<div>
						本文介绍了在Java中,如何使用Java现有的可用的库来编写FTP客户端代码,并开发成Applet控件,做成基于Web的批量.大文件的上传下载控件.文章在比较了一系列FTP客户库的基础上,就其中一个比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1D3Gb.html" rel="bookmark" class="title">MySQL中insert语句的使用与优化教程&lowbar;Mysql</a>
					<div>
						MySQL 表中使用 INSERT INTO SQL语句来插入数据. 你可以通过 mysql&gt; 命令提示窗口中向数据表中插入数据,或者通过PHP脚本来插入数据. 语法 以下为向MySQL数据表插 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdQNkM.html" rel="bookmark" class="title">ios多种语言的本地化思路&lowbar;IOS</a>
					<div>
						多语言在应用程序中一般有两种做法: 一.程序中提供给用户自己选择的机会: 二.根据当前用户当前移动设备的语言自动将我们的app切换对应语言. 第一种做法比较简单完全靠自己的发挥了,这里主要讲第二种做法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJQ0JM.html" rel="bookmark" class="title">光速文化收购楼宇电视联播网占领95&percnt;烟台市场</a>
					<div>
						近日,山东烟台市文化产业首次实现业务项目并购,烟台日报传媒集团旗下的光速影视文化传播有限公司,全面收购烟台中联伟业文化传播有限公司经营管理的烟台本埠楼宇电视联播网.&quot;光速资讯网&quot;由 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBy7GKz.html" rel="bookmark" class="title">百度获 &OpenCurlyDoubleQuote;金鼠标大赛&rdquo;最具营销价值网络媒体大奖</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 2012&quot;金鼠标·网络营销高峰论坛暨网络营销大赛&quot;已落下帷幕,经过网友投票.80位专家初评和22位业内专家的层层把关,百度包揽了最具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Ny43p.html" rel="bookmark" class="title">父亲节美团网抽奖送伟哥是有意义还是三俗</a>
					<div>
						&quot;伟哥驾到,干爹需要,亲爹更需要.&quot;父亲节,不少商家都做起了促销活动,但美团网此时却做起了抽奖送伟哥的活动,引致不少市民狠批其低俗.目前工商部门已经介入调查. 记者接到市民报料称, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z43XyJp.html" rel="bookmark" class="title">百度正考虑开展收购活动以扩大在中国市场的领先地位</a>
					<div>
						北京时间6月22日晚间消息,据国外媒体报道,百度CFO李昕晢在接受媒体采访时表示,百度正在考虑开展收购活动以扩大在中国市场的领先地位. 李昕晢称,&quot;互联网正处于发展的初级阶段,它发展强劲,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Ea4Wp.html" rel="bookmark" class="title">国内首个动物直播网络平台上线在家逛动物园还自带弹幕</a>
					<div>
						长假到了,不想出去人人人众人众众,那就在家逛动物园吧!10月1日,百度动物园正式上线.这是国内首个动物直播的网络平台.新的&quot;百度动物园&quot;在之前测试版的基础上增加了多种珍稀动物,除了 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
